| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | List of all members
Digikam::AlbumWatch Class Reference
Inheritance diagram for Digikam::AlbumWatch:

## Public Member Functions
| AlbumWatch (AlbumManager *const parent=nullptr)
void | clear ()
void | removeWatchedPAlbums (const PAlbum *const album)
void | setDbEngineParameters (const DbEngineParameters &params)

## Protected Slots
void | slotAlbumAboutToBeDeleted (Album *album)
void | slotAlbumAdded (Album *album)
void | slotQFSWatcherDirty (const QString &path)